Main View

When you open MULTILIZER the recent files list is shown. This makes it possible to quickly reopen a recently opened project, open another project, create a new project, or read the online manual.

Projects

Contains list of recently opened projects. To open a project click the project name.

Create New Project

To create a new project click this button.

Open Another Project

To open a project click this button and browse the project file.
© 2004 Multilizer Inc. www.multilizer.com All rights reserved.


What's New?

MULTILIZER 6.0 is the new major release of the award-winning localization technology. There are tens of generic features that simplify localization and improve productivity on any platform and project. There are major improvements in platform specific features too.

New General Features

Wysiwyg

  • Visual Editors -- for all common resource types in EXE and RC localization.
  • Source-code wysiwyg; enables full context for translation of strings in code.
  • XML wysiwyg
  • Lock dialogs to prevent resizing/reworking of dialogs.

Validation

  • More than 20 different validation routines
  • Linguistic validations: Spell check, glossary check, ...
  • Geometry validations: overlap, unmapped controls, ...
  • Consistency validations: duplicate hotkeys, missing periods, ...
  • Detailed Validation Reports
  • Auto-fix issues detected in validation

Widest support for industry standards

  • Delphi 8 (for .NET) support.
  • C#Builder support.
  • XLIFF
  • Localization of binary values; e.g., localization of embedded WAV, AVI, etc.
  • Localization of boolean values.
  • Localization of Colors.
  • Localization of Floating point numbers
  • Localization of Fonts.
  • Localization of IME Modes.
  • Localization of Integers.
  • Localization of Images.
  • Localization of Reading orders.
  • Localization of Short cuts.

Miscellaneous

  • 10 times faster; Significantly improved performance in Multilizer project maintenance.
  • Fully configurable path for output of localized files.
  • Improved project statistics.
  • Translation-specific comments for every translation in project.
  • 6-level status for project translations: Not ready, best guess, Auto translated, translated, QAed, Ready.
  • 3-level status for row (project) strings: New, Unused, In use.
  • Improved support for entering Far Eastern characters on any supported Windows platform.
  • Re-worked filter for any combination of translation statuses, row statuses, and data types.
  • 3-level priority for any part of project: Low, Normal, High.
  • Portable Multilizer settings files; help to share the same settings between multiple users.
  • Toggle non-printable characters showing on/off in cells.
  • Display and edit translation status in a cell; translation status can be shown as text in translation grid.
  • Display and edit max characters value in a cell.
  • Display and edit max pixels value in a cell.
  • New Translation Memory
  • New .NET Features
  • New Delphi/C++Builder Features
  • New XML Localization Features
  • New Database Localization Features
  • New C++/RC Localization Features

New Translation Memory

  • Fuzzy match
  • Totally re-architectured user interface for configuration and efficient management of TM's.
  • Configure and switch between multiple translation memories.
  • Specify fuzzy-match threshold.
  • Apply 'Auto-translated' flag to project strings; enables filtering of auto-translated strings in project.
  • Configurable segmentation rules

New .NET Features

  • Wysiwyg; works without .NET Framework installed.
  • Support for SLN (Visual Studio Solution) files; no need to separately pick the ResX for localization.
  • Localization of .NET executables (binary localization).
  • Wysiwyg configuration for 3rd-party .NET controls; enables users to specify visual appearance virtually of any control.
  • C#Builder support
  • Delphi 8 support.

New Delphi/C++Builder Features

  • Delphi 8 support
  • Display of visual inheritance; allows accurate localization of inherited forms and frames.
  • Wysiwyg configuration for 3rd-party VCL components; enables users to specify visual appearance virtually of any control.
  • Localization of Common Dialogs in binary localization.
  • Run-time language switch in multilingual executable produced by binary-localization.

New XML Localization Features

  • Wysiwyg
  • Customizable segmentation rules; allows strings to enable more efficient translation of longer strings.
  • Localize embedded graphics in XML.

New Database Localization Features

  • Unique database cloning architecture; produce exact copies of databases (structures) with localized content.
  • Improved performance in large databases.

New C++/RC Localization Features

  • Localize either application binaries or RC-files.
  • Wysiwyg; Visual Editors for standard resources
  • Visual localization of strings embedded in source code.


Licenses

MULTILIZER uses incremental license policy. This means that there can exist zero or more licenses that each grants one or more platforms. There exist two kinds of licenses. The first is for the for developers and QA persons, The second is for translators.

Developer's License

This license is for localization managers, developers, software testers and QA personnel. Developer's License has several sublicenses. The following list contains the sublicenses and describes what targets can be localized:

MULTILIZER Enterprise

This license allows the user to localize every target.

MULTILIZER for Windows

.NET, Visual Basic, Visual C++, Delphi and C++Builder applications, databases and data files.

MULTILIZER for .NET

.NET and Visual Basic applications and data files.

MULTILIZER for VCL

Delphi and C++Builder applications and data files.

MULTILIZER for .NET

.NET and Visual Basic applications and data files.

MULTILIZER for VC++

Visual C++ applications and data files.

MULTILIZER for Java

Java and J2ME applications and data files.

Translator's License

This license is for translators. The license allows the user only to translate MULTILIZER projects including any kind of targets. New projects cannot be created. Localized files can not be built. Translator's Edition is free of charge.

You can check the current license status by choosing Tools | Licenses menu.


Evaluation

MULTILIZER evaluation version lets users test product functionality before buying a license for using it in production. The evaluation version has the same functionality as commercial version; evaluation version limitations don’t prevent users from testing all MULTILIZER features.

Limitations

MULTILIZER evaluation version works as the commercial version, except the following limitations:

Time limitation

MULTILIZER works only 30-days from installation. Time limitation is the same for all MULTILIZER evaluation versions.

Technical limitations

The strings of the localized targets created by MULTILIZER will have some strings modified. For example: "Sample Name" -> "Sample Name [ MULTILIZER eval]"


Supported Platforms - Overview

Supported Platforms

MULTILIZER supports several platforms, compilers and operating systems.

  • Microsoft Win32 Applications (EXE, DLL, OCX, etc.)

  • Microsoft .NET Applications (ResX, sln, csproj, vbproj, etc.)

  • Visual Studio .NET Smart Device Application projects

  • Borland C#Builder project

  • Borland Delphi 8 project

  • Borland Delphi/C++Builder binaries (EXE, DLL, BPL, OCX, etc.)

  • Java (J2EE, J2SE, J2ME)

  • Data files: XML and derivatives, Text files (UTF-8, UTF16, ANSI, etc.), INI-files, KEY-files, SHL-files, ...


System Requirements

Minimum System Requirements

  • Windows 2000 or XP
  • Pentium CPU or higher
  • 256MB central memory
  • 40MB hard disk space

Recommended

  • Windows XP
  • 1GHz Pentium CPU
  • 512MB central memory
  • 60MB hard disk space


Glossary

Accelerator resource
Accelerator resources include key combinations used as shortcuts in application. MULTILIZER extracts accelerator resources from executables, and allows localization of them.
Bitmap resource
Bitmap resource includes an image. MULTILIZER extracts bitmap resources from executables, and allows localization of them.
Cursor resource
Cursor resource includes application-specific cursors. MULTILIZER extracts cursors from executables, and allows localization of them. Cursors are bitmaps, so the localization is done with visual editor.
Icon resource
Icon resource includes application-specific icons. MULTILIZER extracts icons from executables, and allows localization of them. Icons are bitmaps, so the localization is done with visual editor.
Localization Kit
Localization Kit is a compressed file created with Exchange Wizard. It contains in a minimum a sub-project. It can also include MULTILIZER Translator Edition and any user-specified files. If Localization Kit includes MULTILIZER Translator Edition, it is a self-installing executable; when executing it, it installs and runs MULTILIZER Translator Edition and opens the sub-project. If MULTILIZER Translator Edition is not included, the Localization Kit is a compressed MULTILIZER package file (MLP) that can be opened in any MULTILIZER Edition, in order to extract the contents of it.
MULTILIZER Edition(s)
MULTILIZER Editions are different MULTILIZER products that can be purchased separately (Note: MULTILIZER Translator Edition is free, and included in Localization Kit). MULTILIZER Editions differ in the role in a localization process, and in support for different platforms.
Project
A MULTILIZER project must be created in order to localized any software/content. MULTILIZER project keeps all the information required for localizing software/content. It contains 1...N targets along with associated data. In addition MULTILIZER project keeps information of target languages and general project information. MULTILIZER project can be created with following MULTILIZER editions: MULTILIZER Enterprise, MULTILIZER for Oracle, MULTILIZER for Windows, MULTILIZER for .NET, MULTILIZER for VCL, and MULTILIZER for Java.
Project Tree
Project tree is the tree-structure shown at left-hand side of MULTILIZER application's Project View.
Project View
The main view of MULTILIZER is called Project View. It is shown upon opening a MULTILIZER project, or creating a new one.
Resources
Resources is data that is kept separate from program code. Resources can contain localizable data, such as string tables to translate. MULTILIZER is able to detect localizable resource types from within Windows executables and add them in MULTILIZER project. Some resource types support Wysiwyg.
Sub-project
Sub-project is a MULTILIZER project that is created with Exchange Wizard. Sub-project contains a sub-set of MULTILIZER project's languages, and sub-set of the targets. In addition translations may be filtered out with Exchange Wizard. Sub-projects are maintained normally only for translation. After translation, sub-project is imported in MULTILIZER project using Import Wizard.
Target
Target ( MULTILIZER Localization Target) is a file/database that is supported and localized in MULTILIZER . A target can be a software project file, software executable (EXE, DLL, etc.), single source file, database, etc. MULTILIZER project targets are shown as root-nodes in Project Tree. For each target you can specify native language (source language).
Target language
Target language is the language(s) into which the software/content is localized. Target language should not be mixed with target.
Translation Work-place
Translation work-place is the part of MULTILIZER application where translations are edited. It shows strings to translate and accompanying info, such as resources shown in Wysiwyg.
Wysiwyg
Wysiwyg (What you see is what you get) stands for the UI editors that allow users modify size and position of dialog resources, form resources, edit bitmap resources, and menu resources visually.


Project Wizard

Project Wizard helps to create new MULTILIZER project, which is required to localize software/content. (C.f. chapter "Create project" in MULTILIZER manual)

The Wizard consists of the following steps:

  1. Choose between file target and database target

  2. Select file or database to localize

  3. Enter the additional info, depending on target platform and target type

  4. Enter the project information

  5. Select the project languages

  6. Import existing translations to the project


Project Wizard - Target Type

The Target Type dialog lets you select the type of the target. The possible values are:

Localize a File

Press Localize a File to localize a file such as an application file, a project file, a source code file, a resource file, or a data file.

Localize a Database

Press Localize a Database to localize the selected fields from the selected database tables.


Project Wizard - File Target

This dialog you select the project target file and file type.

Wild card filter

Use wild card filter to view only one types of targets. Select All supported files to view all supported file types. Select Select file types to specify wild card filter by platform and type.


Project Wizard - Database Target

Use this sheet to select the database and content you want to localize.

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Directory/URL/Alias/Connection string

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

Parameters

Enter the extra connection parameters of the database.

Connect

Press the connection button in order to make a connection to the database.

Options

Specifies the database localization options.

Clone native database files

Specifies if MULTILIZER uses the database cloning method to localize. This option is enabled only for the file type databases (i.e. Access and InterBase).

Tables and fields

Specifies the localizable tables and fields. Use mouse to drag and drop the tables and fields and/or right click mouse button to set the field types.

See MULTILIZER manual to learn more about database localization techniques.


Project Wizard - Information

Collects information of the project.

Author

Your name. This is optional.

Organization

Your organization. This is optional.

Description

The description about the dictionary you are going to create. This is optional.


Project Wizard - Languages

The Languages sheet lets you add the initial languages and country specific languages (sub languages) to the project. A project must contain at least one language. There is no limit on the number of languages in the project.

Available languages

Available languages contain a list of available languages and sub-languages. Add a language by dragging it to the Selected languages list or by double clicking the language.

Normally you only add country neutral languages (e.g. German) to the project. A single neutral language can support all the sub languages of the language. For example a single German language will suffice for German (Germany), German (Austria) and German (Switzerland).

However, sometimes the words or at least the spelling of the words differs between the sub languages of the same language. For example in United States spell some words differently. In such cases you can add a language and the a sub-language for the same language. For example add English language first and then the United States locale as second. Then if there is a translation in English (United States) language that value will be used, otherwise the English (neutral) translation value.

If the Available languages list does not contain the language that you want to use, you have to add the language to the System languages list. Choose Tools | Languages and Locales menu to open Languages and Locales dialog box that lets you add new languages and locales.

Selected languages

The list contains a selected languages of the project. You have to have at least one selected language before proceeding. You can remove a language from the project by selecting and pressing the Remove button or the Del key.

For example if you are going to support English, American English, German and French choose English first, followed by English (United States), German and French. Your project will contain five columns (Native, English, English (United States), German and French).

You can add more languages later by choosing Project | Languages.

Re-order Selected Languages

Re-order the selected languages by dragging and dropping or by using buttons Up and Down. Order of the languages will affect only to the language display order on the project.


Project Wizard - Import

The Import sheet lets you import existing translations to the project from external files.

MULTILIZER tries to search existing translations automatically based on the target type and languages you selected. If MULTILIZER fails to find any existing translations select the language where you want to import the translations and press "Add..." to select the file name. The languages you see are the languages you selected on Project Wizard Languages sheet.


Import Wizard - Source

This sheet lets you select the source of the imported translations. The possible values are:

Import a File

Press Import a File to import translations from a file such as an application file, a project file, a source code file, a resource file, or a data file.

Import a Database

Press Import a Database to import translations from a database.

Import from a Service

Press Import from a Service to import translations from the translation service.


Import Wizard - File

This dialog you select the imported file and file type.

Wild card filter

Use wild card filter to view only one types of targets. Select All supported files to view all supported file types. Select Select file types to specify wild card filter by platform and type.


Import Wizard - Database

Use this sheet to select the database you want to import.

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Directory/URL/Alias/Connection string

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

User name

Enter the user name of the database.

Password

Enter the password of the database.

Connect

Press the connection button in order to make a connection to the database.


Import Wizard - Languages

Some import file formats may include several languages. In this page you can select which languages you want to import to the project.


Import Wizard - Options

Use this page to set the import options. Note! All options are not available for every import type.

Import method

Specifies the import method how the program locates the item where the translation belongs to. Possible options are:

By value | Compares the native values when locating the item.
By context | Compares the native context when locating the item.
By context first then by value | Compares first context then native value when locating the item.

Context and native value must match

If checked MULTILIZER imports the value only if the context and the native value of the item in imported file match the item in the current project. For example if this check box is checked, the context of the item is Project1.exe.Form1.Button1 and the current native value id "Press" and the imported native value is "Press This", MULTILIZER does not import the value.

Overwrite the current value

Specifies when MULTILIZER overwrites the current value of translation. Possible options are:

Never | MULTILIZER never overwrites if current value exists.
Always | MULTILIZER always overwrites the current value.

Import only if the value is not empty

Specifies if MULTILIZER imports the value only if the native value is not empty.

Import only if the value does not equal to the native value

Specifies if MULTILIZER imports the value only if it does not equal to the native value.

Import translation status

Some import source types include the translation status. With this option you can specify how to import translation statuses.

No

Do not import translation status.

Yes

Import translation statuses.

Set

Sets the translation status of imported strings to the selected value.

Import the Do Not Translate status

If checked MULTILIZER imports the translations marked with Do Not Translate status.

Import maximum length value

If checked MULTILIZER imports the translation maximum length value.

Comment

Some import source types include the translation comments. With this option you can specify how to import comments.

Do not import

MULTILIZER do not import comments.

Import if the current value is empty

MULTILIZER imports comment if current comment value is empty.

Overwrite the current value

MULTILIZER imports comments and replaces the current values.


Export Wizard - Target

This sheet lets you select the target of the exported translations. The possible values are:

Create a File

Press Create a File to export translations to the file.

Upload to a Service

Press Upload to a Service to upload translations to the translation service.


Export Wizard - TMX File Format

File name

Specifies the exported file name (e.g. c:\project\export.tmx).

Format

Character set

Specifies the character set of the file.

Version

Specifies the TMX file version.

DTD

Specifies the DTD file location.

Admin language

Specifies the administrative language of the file.

Source language

Specifies the source language of the file.

Lang-attribute

Specifies the case of the Lang-attributes.

Write empty translations

Specifies if MULTILIZER writes the empty translations to the file.

Write comments

Specifies if MULTILIZER writes the translation comments to the file.

Write context

Specifies if MULTILIZER writes the translation context to the file.


Export Wizard - Text File Format

File name

Specifies the exported file name (e.g. c:\project\export.txt).

Character set

Specifies the character set of the file.

Delimiter

Specifies the delimiter character between the native and translations.

Quote

Specifies the value quoting character.

Context column

Specifies if and how MULTILIZER includes the translation context information to the file. Possible options are:

No | Do not include the context.
First | Includes the context as a first column.
After native | Includes the context after the native column.
Last | Includes the context as a last column.

Comment column

Specifies if MULTILIZER includes the translation comment information to the file.

Use UTF-8 signature

Specifies if MULTILIZER includes the UTF-8 signature to the file. This option is available for UTF-8 encoding only.

Use byte order mark

Specifies if MULTILIZER uses the byte order mark in the file. This option is available for UTF-16 encoding only.


Exchange Wizard - Delivery Method

This sheet lets you select the delivery method of the export package. The possible values are:

Create a File

Press Create a File to create a exchange file.

Upload to a Service

Press Upload to a Service to upload exchange package to the translation service.


Exchange Wizard - Languages and Items

Use this page to select the languages and items you want to send to the translator.

Note! You have to have at least one language and one item selected before continuing.


Exchange Wizard - Strings

Use this page to specify the strings you want to send to the translator.

Translation status

Specifies the status of the included strings. Possible values are:

Ready strings | Include strings marked as ready.
QA completed strings | Include strings marked as QA ed.
Translated strings | Include strings marked as translated.
Auto translated strings | Include strings marked as auto translated.
Best guess strings | Include strings marked as best guess.
Not ready and un-translated strings | Include strings marked as not ready and strings that are un-translated.

Row status

Specifies the row status of included strings. Possible values are:

Strings in use | Include strings that are marked as in use row status.
New strings | Include strings that are marked as new string row status
Used strings | Include strings that are marked as used strings row status.
Do not translate strings | Include strings that are marked as do not translate row status.

Duplicate strings

Specifies how duplicated strings are shown in exchange package. Possible options are:

Show all strings | MULTILIZER shows all duplicated strings.
Show strings that have different properties | MULTILIZER shows only duplicated strings that have different properties.
Show only first string | MULTILIZER shows only the first string of duplications.


Exchange Wizard - Information

Use this page to specify the exchange package information.

Package name

Specifies the package visible name.

Description

Specifies the package description.

Author

Specifies the author name of the package.

Password

You can encrypt the exchange package with password. Please enter the password to the Password field and confirm it by re-entering the password to the Retype password field.

Note! MULTILIZER uses the ZIP file encryption method. If you lose your password it is impossible to open the exchange file with MULTILIZER .


Exchange Wizard - Application

The package contains

The project file

If selected MULTILIZER includes the project file to the exchange package.

The project file and MULTILIZER Translator Edition setup

If selected MULTILIZER includes the project file and the MULTILIZER Translator Edition setup files to the exchange package.

Select the items that will be added to the package

Application files

If selected MULTILIZER includes the project application files to the package (e.g. Delphi project files).


Exchange Wizard - Include Files

Use this page to include external files to the exchange package.


Exchange Wizard - Package File

Use this page to specify the exchange package file name (e.g. c:\project\exchange.mlp).


Exchange Wizard - Create Package

MULTILIZER now creates the exchange package file. After the file is created you can send it to the translator.

Click Finish to close the Exchange Wizard.


Languages

The Languages dialog lets you add language to the project and remove them from the project.

Available languages

Available languages contain a list of available languages and sub-languages. Add a language by dragging it to the Selected languages list or by double clicking the language.

Normally you only add country neutral languages (e.g. German) to the project. A single neutral language can support all the sub languages of the language. For example a single German language will suffice for German (Germany), German (Austria) and German (Switzerland).

However, sometimes the words or at least the spelling of the words differs between the sub languages of the same language. For example in United States spell some words differently. In such cases you can add a language and the a sub-language for the same language. For example add English language first and then the United States locale as second. Then if there is a translation in English (United States) language that value will be used, otherwise the English (neutral) translation value.

If the Available languages list does not contain the language that you want to use, you have to add the language to the System languages list. Choose Tools | Languages and Locales menu to open Languages and Locales dialog box that lets you add new languages and locales.

Selected languages

The list contains a selected languages of the project. You have to have at least one selected language before proceeding. You can remove a language from the project by selecting and pressing the Remove button or the Del key.

For example if you are going to support English, American English, German and French choose English first, followed by English (United States), German and French. Your project will contain five columns (Native, English, English (United States), German and French).

You can add more languages later by choosing Project | Languages.

Edit Selected Language

You can edit a selected language by pressing Edit... button. This will open a Language dialog where you can edit for example country, encoding and font settings of the language.


Language Properties - Language

Language

Specifies the language.

Script

Specifies the script the language uses.

Country

Specifies the country. This lets you specify a country depend language. “Neutral” means that the language is country independent. For example if the language is “German”, the sub-language combo-box contains “Neutral”, “Austria”, “Germany”, “Liechtenstein”, “Luxembourg”, and “Switzerland”.


Language Properties - Font

Use the default font

Specifies if MULTILIZER uses the script default font for this language.

Size

Specifies the custom font size.


Language Properties - Pseudo Translation - None

No test is attached to the language.


Language Properties - Pseudo Translation - Cover

Every native character is replaced with a replace character. This tests for missed or hard coded strings.

Replace every character with

Type the character that is used as the replacing character.


Language Properties - Pseudo Translation - Minimum

Every native string is replaced with a single character. This tests that the user interface works for minimum length strings.

Reduction

The native string can be reduced in two ways:

Reduce strings to the first character in the string | Writes the first character of the native string to the language column.
Reduce strings to the custom string | Writes the custom string to the language column.


Language Properties - Pseudo Translation - Pseudo Language

Every native string is extended and/or altered to simulate general European string extension and character diacritics. This tests the ability of the user interface to handle European languages.

This dialog is used when the language is a European language.

Options

Specifies the characters that are used in the test strings. You can check one or more following options:

Expand

The string is expanded. For example "Sample" becomes "Sample________X". This can be used to test that the user interface handles longer translations correctly. In many cases English is shorted that other languages. The expansion depends on the length of the native string.

Enclose

The string is enclosed to braces. For example "Sample" becomes "{Sample}". This can be used to test that both the beginning and the end of the string are visible.

Alternate case

Character case is alternated. For example "Sample" becomes "SaMpLe".

Upper case

Character case is upped. For example "Sample" becomes "SAMPLE".

Diacritics

Diacritics are added to the characters. For example "Sample" becomes "Sämplé". This can be used to test that the user interface handles diacritic and accented characters correctly.

Expand characters

Specifies the expansion characters used.

Expand

Specifies the expand character.

Last

Specifies the last character

These are used only if the Expand check box in the Options group is checked.

Expand percentage

Specifies the expansion percentage.

Native length (in characters) | Test length (in characters)
1...5 | The native string is expanded by 200 percents. For example the word "red" that is three characters long is expanded to nine characters, "red_____X"
6...10 | The native string is expanded by 100 percents.
11...20 | The native string is expanded by 70 percents.
21...30 | The native string is expanded by 50 percents.
31...50 | The native string is expanded by 30 percents.
over 50 | The native string is expanded by 20 percents.

These are used only if the Expand check box in the Options group is checked.

The above expanding percentages may seem to be quite high. In many cases the translated words or phrases in other languages are only slightly longer than in English. But there always exists translations that are much longer than the English one. For example the word "red" is only three characters in English but eight characters ("punainen") in Finnish.


C++Builder Target

Specifies the C++Builder binary file target options.

File

Specifies the windows binary file (e.g. c:\project\project.exe).

Project

Project file name

Specifies the C++Builder project file (e.g. c:\project\project.bpr).

Scan images from the form data

If checked MULTILIZER scans the images from the project forms.

Check scaled property

If checked MULTILIZER ensures scaled property of forms is set to false.

Set BiDiMode property

If checked MULTILIZER sets the BiDiMode property of components on Right-to-Left languages.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | MULTILIZER creates own file for each language in the project.
Resource files | MULTILIZER creates localized resource files.
Multilingual file | MULTILIZER creates a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | MULTILIZER copies all the resources to the localized resource files.
Write to root directory | MULTILIZER copies all the resources to the root directory of the project.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.

Resources

Specifies the resource types to be scanned from the target file.


Delphi Target

Specifies the Delphi binary file target options.

File

Specifies the windows binary file (e.g. c:\project\project.exe).

Project

Project file name

Specifies the Delphi project file (e.g. c:\project\project.dpr).

DRC file name

Specifies the Delphi DRC file (e.g. c:\project\project.drc).

Scan images from the form data

If checked MULTILIZER scans the images from the project forms.

Check scaled property

If checked MULTILIZER ensures scaled property of forms is set to false.

Set BiDiMode property

If checked MULTILIZER sets the BiDiMode property of components on Right-to-Left languages.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | MULTILIZER creates own file for each language in the project.
Resource files | MULTILIZER creates localized resource files.
Multilingual file | MULTILIZER creates a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | MULTILIZER copies all the resources to the localized resource files.
Write to root directory | MULTILIZER copies all the resources to the root directory of the project.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.

Resources

Specifies the resource types to be scanned from the target file.


INI File Target

File

Specifies the INI file (e.g. c:\project\project.ini).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Keys

Use this tab page to select the keys you want to localize.

Click Select All to check all the keys. Click Unselect all to clear selection. Click View file to open the file in default INI editor.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Properties

Ignore white spaces after the separator

If checked MULTILIZER ignores the white spaces on the key value after the separator character. Example: key= value -> key=value


Java Binary Target

File

Specifies the Java binary file (e.g. c:\project\project.jar).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Runtime

Main class

Specifies the main class name (e.g. project1.Application).

Emulator parameters

Specifies the emulator parameters.


Java Resource Target

File

Specifies the Java resource file (e.g. c:\project\project.properties).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


JBuilder Target

File

Specifies the JBuilder project file (e.g. c:\project\project.jpx).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Exclude files

By default MULTILIZER scans or builds every single file belonging to the project. If you want to disable the scan or build of a file or files add it/them to the ignore list.


Key File Target

File

Specifies the key file name (e.g. c:\project\project.txt)

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Format

Delimiter

Specifies the delimiter character between the key and the value.

Comment string

Specifies the string mark of line comment.

Ignore lines

Specifies the number of lines to ignored from the beginning of the file.


Source Code File Target

File

Specifies the source code file name (e.g. c:\project\MainForm.cpp).

Settings

Programming language

Specifies the programming language used to write the source code.

Encoding

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


Visual Basic Binary Target

Use this dialog to specify the Visual Basic binary file target options.

File

Specifies the Visual Basic binary file (e.g. c:\projects\project1.exe).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifiesthe directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | MULTILIZER creates own file for each language in the project.
Resource files | MULTILIZER creates localized resource files.
Multilingual file | MULTILIZER creates a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | MULTILIZER copies all the resources to the localized resource files.
Write to root directory | MULTILIZER copies all the resources to the root directory of the project.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Resources

Specifies the resource types to be scanned from the target file.

Platform

Specifies the target platform of the project.

CPU files

Specifies the platform CPU files. CPU files are used when MULTILIZER creates a localized file versions to target platform.


Visual Basic Project Target

Use this dialog to specify the Visual Basic project target options.

Project file

Specifies the Visual Basic project file (e.g. c:\projects\project1.vbp).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Exclude files

By default MULTILIZER scans or builds every single file belonging to the project. If you want to disable the scan or build of a file or files add it/them to the ignore list.


.NET Assembly Target

File

Specifies the .NET assembly file (e.g. c:\project\project.exe).

Project

Project file name

Specifies the .NET project file name (e.g. c:\project\project.vbproj).

Scan images

Specifies if MULTILIZER scans the image form the project.

Set RightToLeft property

Specifies if MULTILIZER sets component RightToLeft property automatically.

Private resources in satellite assemblies

Specifies if MULTILIZER marks the resources private in satellite assemblies.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.


Visual Studio .NET Project Target

Project file

Type the project or solution file name (e.g. c:\project\project.vbproj), or press the "..." button to browse a file.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Settings

Scan images

Specifies if MULTILIZER scans the image form the project.

Set RightToLeft property

Specifies if MULTILIZER sets component RightToLeft property automatically.

Create the satellite assemblies

Specifies if MULTILIZER creates the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Specifies if MULTILIZER marks the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Exclude files

By default MULTILIZER scans or builds every single file belonging to the project. If you want to disable the scan or build of a file or files add it/them to the ignore list.


Visual Studio .NET Resource Target

Use the .NET Resource Target dialog box to specify a .NET resource file or files to be localized.

File

Type the file name (e.g. c:\project\test.resx), or press the ... button to browse a file.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Comments

Specifies if MULTILIZER writes comments of the native resource file(s) to the localized file(s).

Empty lines

Specifies if MULTILIZER writes empty lines of the native resource file(s) to the localized file(s).

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


Visual Studio .NET Solution Target

File

Type the project or solution file name (e.g. c:\project\project.sln), or press the "..." button to browse a file.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Settings

Scan images

Specifies if MULTILIZER scans the image form the project.

Set RightToLeft property

Specifies if MULTILIZER sets component RightToLeft property automatically.

Create the satellite assemblies

Specifies if MULTILIZER creates the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Specifies if MULTILIZER marks the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.


Windows Resource Target

File

Specifies the windows resource file (e.g. c:\projects\project1.rc).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


Windows Binary Target

Use this dialog to specify the Windows binary file target options.

File

Specifies the windows binary file (e.g. c:\windows\notepad.exe).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifiesthe directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | MULTILIZER creates own file for each language in the project.
Resource files | MULTILIZER creates localized resource files.
Multilingual file | MULTILIZER creates a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | MULTILIZER copies all the resources to the localized resource files.
Write to root directory | MULTILIZER copies all the resources to the root directory of the project.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

Resources

Specifies the resource types to be scanned from the target file.

Platform

Specifies the target platform of the project.

CPU files

Specifies the platform CPU files. CPU files are used when MULTILIZER creates a localized file versions to target platform.


XML Target

File

Specifies the XML file (e.g. c:\project\project.xml).

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | MULTILIZER creates localized file(s) to sub directories based on language and locale.
Bundle name | MULTILIZER includes the language and locale information to the bundle name.
File extension | MULTILIZER replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | .NET coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Localized files

If selected MULTILIZER creates own file for each language in the project.

Multilingual file

If selected MULTILIZER creates one multilingual file containing all the languages in the project.

Tags

Specifies the localized elements of XML file.

Click Select All to check all the elements. Click Unselect all to clear selection. Click View file to open the file in default XML viewer.

Segmentation

Break each sentence of a paragraph into its own segment

If selected each sentence of a paragraph is segmented.

Sentence delimiters

Specifies the delimiters that tells to the MULTILIZER when to break sentence into its own segment.

Exceptions

Specifies the exceptions of sentence delimiters (e.g. never break if number is before dot).

Import

Import segmentation rules from a file.

Export

Export segmentation rules to the file.

XML

Keep original format

If selected MULTILIZER retains the XML file original format in localized files.

Remove white spaces

If selected MULTILIZER removes the extra white spaces from the localized files.

Add xml:lang element

Specifies how MULTILIZER generates the xml:lang attribute. Possible options are:

None | No attribute is generated.
Root element | Attribute is generated to the root element.
Localized elements | Attribute is generated to every localized element.


Validation Options

Use this dialog to set the validation options.

Types

Specifies the validation types. Check validations from the list you want to apply to the project.

Missing translation

Validates if there is any translation.

Inconsistent format string

Validates that same formatting strings (arguments) are present both in native string and translation.

Invalid amount of new line characters

Validates that same number of new line characters are both in native string and translation.

Glossary mismatch

Compares the traslated strings to the values in Translation Memory.

Incorrect spelling

Runs the spell chek for the traslated strings.

Invalid amount of white space characters

Checks that both native string and translation include the same number of white spaces at string start and end.

Missing periods

Checks that both native string and translation include the same number of periods at the end of the string.

Missing colon

If native string includes colon at the end, translation should also. This is important, because label captions generally should include colon, and corresponding buttons should not. If native software follows these guide-lines, this validation ensures good consistency in translated software too.

Inconsistent hotkey

Checks that if hotkey is specified in the native value the translated value has to have hotkey as well and vice versus.

Invalid hotkey character

Checks that hotkey is given to the valid character (e.g. not to the tab or line feed character).

Invalid hotkey position

Checks that hotkey position is valid (e.g. hotkey marker is not at the end of string).

Overlapped controls

Checks that controls on the forms and dialogs are not overlapping (e.g. button is not under the text field).

Duplicate dialog hotkey

Checks that dialogs has no duplicated hotkeys.

Duplicate menu hotkey

Checks that menus has no duplicated hotkeys.

Duplicate accelerator

Checks that there are no duplicated accelerators defined.

Report

Check the Generate report checkbox if you want to create a validation report.

File name

Specifies the file name of the report (e.g. c:\project\report.xml).

View report immediately

Check if you want to open the report immediately after MULTILIZER has created it.

Format

Specifies the type of the report. Select Compact if you want compact report or select Detailed if you want more detailed report type.


Project Options - Settings

Use this sheet to specify the project settings.

Style sheet

Specifies the custom CSS (Cascading Style Sheet) file name for the project report (e.g. c:\mystyle.css).

Exclude strings that contain only the following characters

MULTILIZER excludes the strings that contains only the characters listed in this edit box. Separate list characters with white space.

Add white space to the list

If checked MULTILIZER includes the white space character to the Exclude strings list.

Translate duplicated strings after the scan

If checked MULTILIZER translates duplicated strings automatically after the project has been scanned.

Project is in translate only mode

If checked the project is in translate only mode. In translate only mode you can only translate the project strings and edit the WYSIWYG control properties. Other functions e.g. adding a new target is not allowed.


Project Options - Summary

Use this sheet to edit project information.

Author

Any string that describes the author of the project. This is optional.

Organization

Any string that describes the organization of the author. This is optional.

Description

Any string that describes the project. This is optional.


Grid Columns

Select the columns that are shown in a translation grid.


Grid Languages

Select the project languages that are shown in a translation grid.


Grid Types

Select which types of resources are shown in a translation grid. Available types are:

Bitmaps | Bitmap images
Boolean values | Boolean values (True/False)
Colors | Color definitions
Floating point numbers | Plain floating point numbers
Integer numbers | Plain integer numbers
Images | Images (e.g. JPEG's or GIF's)
Short cuts | Short cut definitions
Strings | Plain string values
Fonts | Font definitions


Grid Filter

Use this dialog to specify the view filter of the translation grid.

Translation Statuses

Specifies the translation statuses to show in the grid.

Row Statuses

Specifies the row statuses to show in the grid.

Data Types

Specifies the data types to show in the grid.


Find Text

Use this dialog to find text form the translation grid.

Text to find

Specifies the text to find.

Options

Case sensitive

If checked MULTILIZER searc the text in case sensitive mode.

Whole words only

If checked MULTILIZER searches the whole words only.

Direction

Forward

If selected MULTILIZER searches forward from the cursor.

Backward

If selected MULTILIZER searches backward from the cursor.

Scope

Selected column

If selected MULTILIZER searches from the selected column only.

All columns

If selected MULTILIZER searches from all visible column.

Origin

From cursor

If selected MULTILIZER searches starting from the cursor.

Entire scope

If selected MULTILIZER searches starting beginning of the scope.


Replace Text

Text to find

Specifies the text to find.

Replace with

Specifies the text to replace with.

Options

Case sensitive

If checked MULTILIZER searc the text in case sensitive mode.

Whole words only

If checked MULTILIZER searches the whole words only.

Direction

Forward

If selected MULTILIZER searches forward from the cursor.

Backward

If selected MULTILIZER searches backward from the cursor.

Scope

Selected column

If selected MULTILIZER searches from the selected column only.

All columns

If selected MULTILIZER searches from all visible column.

Origin

From cursor

If selected MULTILIZER searches starting from the cursor.

Entire scope

If selected MULTILIZER searches starting beginning of the scope.


Grid Options

This dialog controls the translation grid options.

Auto commit

If checked MULTILIZER auto commits the changes to the cell when selection changes.

Auto edit

If checked cell will be in edit mode when it receives the focus.

Auto IME

Turn on Input Method Editor if far-eastern language is edited.

Auto keyboard

Turns on language specific keyboard layout automatically depending what language is edited.

Highlight selection

If checked the selected cell is highlighted.

Show hidden

Show hidden translations.

Show hint

Show hints.

Show unused strings

Show strings marked with unused option.

Show row info

Show row info column on the far left on the grid editor.

Highlight long translations

If checked MULTILIZER will indicate the long translations comparing to the native value by highlighting the cell.

Threshold

Specifies the long translation threshold in per cent. Example: With threshold value 20 all the cells that has 20 per cent longer values comparing to the native value will be highlighted.


Grid Row Properties

General

Shows the general info of the selected row such as row index, row kind, source item, context information, translation status and comment.

Translation

Shows the native and the translation for the selected language.


Exclude Rows by Context

Use this dialog to specify the list of contexts to exclude.

Use Add and Remove buttons to edit the list and then press OK.


Exclude Rows by Native

Use this dialog to specify the list of native values to exclude.

Use Add and Remove buttons to edit the list and then press OK.


Component Properties

Specifies the WYSIWYG component properties for selected language.


Graph Align

Specifies the alignment of the WYSIWYG components. Alignment can have following parameters:

No change | No change to the component alignment.
Left sides | Aligns component left sides.
Centers | Aligns component centers.
Right sides | Aligns component right sides.
Space equally | Aligns component equally to the space.
Center in window | Aligns component center in the window.

Horizontal

Specifies the horizontal alignment of the components.

Vertical

Specifies the vertical alignment of the components.


Graph Size

Specifies the WYSIWYG component size.

Width

Specifies the component width. Select one of the following options:

No change | Do not change the component width.
Shrink to smallest | Shrinks the component to the smallest possible width.
Grow to largest | Grows the component to the largest possible width without overlapping with other components.
Width | Specifies the width in pixels.

Height

Specifies the component height. Select one of the following options:

No change | Do not change the component height.
Shrink to smallest | Shrinks the component to the smallest possible height.
Grow to largest | Grows the component to the largest possible height without overlapping with other components.
Width | Specifies the height in pixels.


Graph Grid

Specifies the graph grid options.

Display grid

Specifies if the grid is shown.

Snap to

Specifies if WYSIWYG components are automatically aligned on a grid.

X size

Specifies the grid X-axle size in pixels.

Y size

Specifies the grid Y-axle size in pixels.


Graph Options

Specifies the WYSIWYG component options.

General

Can reduce

If checked graph component heights and widths can be reduced compared to the native values.

Read only

If checked the graph component cannot be edited.

Show bounds

If checked graph shows boundaries around components that size or position properties has been changed.

Show components

If checked graph shows the non-wysiwyg components as well.

Show status

If checked graph shows the status legends for the wysiwyg components.


Select Target

Use this dialog to select the target type you want to add to the project.


Tree Options

Tree Options dialog lets you configure project tree view behavior.

Font

Specifies the target tree display font.

Options

Auto expand

If checked Tree items are automatically expanded.

Highlight selection

If checked selected item is highlighted.


Languages and Locales

The Languages and Locales dialog box lets you edit the system languages and locales of MULTILIZER .

The system languages are used to create the language lists that are shown whenever a language should be selected. By default the program contains all known locales of the most recent Windows operating system. You can add languages and locales using this dialog box.

Edit

Press the Edit button to edit the selected language or locale. The Language dialog box or Locale dialog box appears. The dialog can be used to change the properties of the selected language or locale.

Remove

Press the Remove button to delete the selected language or locale.

Clone

Press the Clone button to make a copy of the selected locale. The Locale dialog box appears. The program copies the field values from the selected locale to the dialog. Change the Country code and press OK.

Copy

Press the Copy button to copy the selected locale to the private clipboard of the dialog.

Paste

Press the Paste button to paste the copied locale from the private clipboard of the dialog.

New Language

Press the New Language button to add a new language. The Language dialog appears. All the field values of the dialog are initially empty. Set the values and press OK.

New Locale

Press the New button to add a new locale to the selected language. The Locale dialog box appears. All the field values of the dialog are initially empty. Set the values and press OK.

Update

Updates the system locales to contain all the locales the system contains. Press this button if you have upgraded your operating system to a version that might contain support for new locales.

Export

Press the Export button to export languages and locales into the selected file using the MULTILIZER Language and Locale file format.

Import

Press the Import button to import language and locale information. The application can import data from the following file formats:

.mll | MULTILIZER Language and Locale file.
.mll | Language Manager Locale file. This text file contains the locales and languages that Language Manager uses. The file extension is the same as MULTILIZER Language and Locale file but the file is not an XML file. This file format was used by MULTILIZER 4.x.
.mld | MULTILIZER Dictionary file. This binary file contains the translation, languages and locales of a multilingual application.

Clear

Press the Clear button to remove all languages and locales.


Language - Codes and Names

ISO codes

Specifies the language code. The code contains three parts that are:

Language

Specifies the ISO-639 language codes.

Script

Specifies the script that the language uses. The script list contains all the scripts currently supported by the most recent Windows operating system. Some languages such as Azeri, Chinese, Serbo-Croatian and Uzbek can be written using two different scripts. In these cases the both languages contain the same language code but different script value.

Variant

Specifies the language variant. This makes is possible to create a language sibling. There are many reasons to create a language sibling. Some language such Norwegian actually has two different languages: Bokmål and Nynorsk. To make a difference between these to MULTILIZER uses NYNORSK variant when dealing with Nynorsk. Also there exist the modern Spanish sorting order that uses MOD variant. Using variants you can also create profession related languages such Engineering English, Medical English, Business English, etc.

Combined language, script and variant id generates a unique language id.
Examples:

Language | Script | Variant | Description
en | Latin |  | English
en | Latin | medical | Medical slang of English
en | Latin | engineering | Engineering slang of English
fi | Latin |  | Finnish
fi | Latin | savo | Finnish dialect Savo

Windows codes

Windows does not deal with ISO language codes but uses it own NLS language ids and code pages.

Primary language id specifies the NLS primary language id that the language uses. If the program can find a primary language id match for the selected language code, this combo box is disabled. If not, you have to select or enter a custom language id. This value has to be between 0x200 and 0x3FF. The values from 0 to 0x200 have been reserved to the LANG_XXX ids specified by Microsoft.

Code page specifies the Windows code page that the language uses. Windows might contain several code pages for one script. In such case the code page contains several code pages.

Windows code specifies a two characters code. It is used for example as a file extension when creating resource DLL's.

English names

Language specifies the English name of the language (e.g. Finnish, German)

Variant specifies the English name of the variant (e.g. Nynorsk).

Native names

Language specifies the name of the language in its own language (e.g. suomi, Deutsch).

Variant specifies the name of the variant in its own language (e.g. nynorsk).

Enabled

Set this to enable the language. If the language is disabled it won’t show up in the language and locale lists.


Language - Other

Symbian

This group contains the Symbian related properties of the language. If you localize Symbian application make sure that these settings are correct.

Language id

Specifies the Symbian language id.

Installation language code

Specifies the code that are used in the Symbian installation packages. Select the value from the list or type the value.

Palm language id

Specifies the language id used in Palm applications.

Oracle language code

Specifies the language code used in Oracle Forms applications. Select the value from the list or type the value.


Locale - Codes

Use the Code tab of the Locale dialog to set the locale codes and the script of the locale.

ISO codes

Language

Shows the language name

Script

Shows the character script the language and locale use.

Variant

Shows the variant name.

Country

Specifies the country. MULTILIZER uses ISO-3166 country codes. Select the value from the list or type the value.

Windows codes

Primary

Shows the primary language id.

Code page

Shows the Windows code page the language and locale use.

Sub language id

Specifies the sub language (country). If the program can find a sub language id match for the selected country code, this combo box is disabled. If not, you have to select or enter a custom sub language id. This value has to be between 0x20 and 0x3F. The values from 0 to 0x20 have been reserved to the SUBLANG_XXX ids specified by Microsoft.

Enabled

Set this to enable the locale. If the locale is disabled it won’t show up in the language and locale lists.


Locale - Names

English names

Contain the language and country names in English.

For example "Finnish" and "Finland".

Native names

Contain the language and country names in the language of the locale.

For example "suomi" and "Suomi".


Locale - Days

Enter the full and abbreviated names of weekdays in the language of the locale. The maximum length of an abbreviated name is 4 characters.


Locale - Months

Enter the full and abbreviated names of months in the language of the locale. The maximum length of an abbreviated name is 4 characters.


Locale - Time

Specifies the time formats used by this locale.


Locale - Date

Specifies the date formats used by this locale.

In the following table, specifiers are given in lower case. Case is ignored in formats.

Specifier | Displays
c | Displays the date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the date-time value indicates midnight precisely.
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.
dddd | Displays the day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.
ddddd | Displays the date using the format given by the ShortDateFormat global variable.
dddddd | Displays the date using the format given by the LongDateFormat global variable.
e | Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).
ee | Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).
g | Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).
gg | Displays the period/era as a full name. (Japanese and Taiwanese locales only).
m | Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | Displays the month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.
mmmm | Displays the month as a full name (January-December) using the strings given by the LongMonthNames global variable.
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
/ | Displays the date separator character given by the DateSeparator global variable.
'xx'/"xx" | Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Locale - Numbers

Specifies the number formats used by this locale.


Locale - Calendar

Specifies the calendar formats used by this locale.


Translation Memories

Use this dialog to manage the MULTILIZER application Translation Memories.

General

Save translations to the Translation Memory

Specifies when MULTILIZER saves the translations to the Translation Memory. Possible options are:

By command (File | Save To Translation Memory) | Translations are saved manually by command (File | Save To Translation Memory)
Prompted when saving the project | MULTILIZER asks for user to save the translations every time the project is saved.
Automatically when saving the project | MULTILIZER saves the translations automatically every time the project is saved.

Save the strings if the status is greater or equal to

Specifies the string status of the translations that are saved to the Translation Memory.

Max translation count

Specifies the maximum number of translations in Translation Memory.

Overwrite the current string

Specifies when MULTILIZER overwrites the existing translation in the Translation Memory. Possible options are:

Never | Existing translations are never overwritten.
If the status is less or equal to | Overwrites if existing translation status is less or equal to the given status.
Prompt before overwrite | Prompts before overwriting existing string.
Always | Existing translations are always overwritten.

Log the overwritten values

If selected MULTILIZER creates a log of overwritten values.

Settings

Name

Specifies the name of the Translation Memory.

Language

Specifies the native language of the Translation Memory.

Multi-user

If selected the Translation Memory is multi-user enabled.

Use fuzzy matching

If selected the Translation Memory uses the fuzzy matching.

Database

Specifies the database connection information.

Documents

Specifies the list of documents imported to the Translation Memory. Use Add and Remove buttons to manage the documents.

Block Words List

Specifies the list of blocked words for given language.

Language

Specifies the language of the visible blocked word list.

New word

Specifies the new word value.

Use the Add, Remove, Clear and Import to manage the blocked words.

Concordance

Specifies the Translation Memory concordance options.

Use minimal difference match

If selected Translation Memory looks up for strings that have the same words. Capitalization, punctuation and special characters are ignored.

Matching percentage

Specifies a threshold percentage, in order to control how similar strings have to be.

Maintenance

Specifies the Translation Memory maintenance options and tools.

Clear

Clears the entire Translation Memory contents.

Backup

Backups the Translation Memory contents to the file.

Restore

Restores a Translation Memory from file. Restoring a backup will erase all existing data in Translation Memory.

Repair

Repairs the Translation Memory data structure. This option should be used only in extreme cases, such as the impossibility to connect or repeated errors when using this translation memory.


New Translation Memory

Name

Specifies the name of the Translation Memory.

Language

Specifies the native language of the Translation Memory.

Multi-user

If selected the Translation Memory is multi-user enabled.

Use fuzzy matching

If selected the Translation Memory uses the fuzzy matching.

Database

Specifies the database connection information.


Options

Specifies the MULTILIZER application and localization environment common options.


Options - Environment - Settings

Use this page to set the general settings of the MULTILIZER application.

Settings

Default directory

Specifies the default work directory of MULTILIZER .

Default native language

Specifies the default native language of the targets.

User interface language

Specifies the MULTILIZER application user interface language.

Default database type

Specifies the default database type. This type will be selected whenever a database related items are shows. For example if most of your databases are Paradox database set the default database to Paradox. This makes it easier to specify databases in the future.

Restore

Project

If checked MULTILIZER restores the previous project when opening the program.

Desktop

If checked MULTILIZER restores the desktop settings when opening the program.

Other

Enable screen tips

If checked the screen tips are shown. The tips contains extra information about user interface parts. When hovering above the item MULTILIZER shows the tip on a popup window.

Show log form

If checked MULTILIZER shows a log form when scanning or building.

Show Tip of the Day dialog

If checked MULTILIZER shows a Tip of the Day dialog when opening the program.

Create backup project file

If checked the old project file (.MPR) will be renamed to .~MPR before overwriting the file.

File associations

MULTILIZER project file

If checked MULTILIZER associates the .mpr files to the program.

MULTILIZER package file

If checked MULTILIZER associates the .mlp files to the program.


Options - Environment - Tree

Use this page to set the targets tree options.

Font

Specifies the target tree display font.

Options

Auto expand

If checked Tree items are automatically expanded.

Highlight selection

If checked selected item is highlighted.


Options - Environment - Grid

Use this page to set the translation grid options.

Font

Specifies the grid display font.

Options

Auto commit

If checked MULTILIZER auto commits the changes to the cell when selection changes.

Auto edit

If checked cell will be in edit mode when it receives the focus.

Auto IME

Turn on Input Method Editor if far-eastern language is edited.

Auto keyboard

Turns on language specific keyboard layout automatically depending what language is edited.

Highlight selection

If checked the selected cell is highlighted.

Show hidden

Show hidden translations.

Show hint

Show hints.

Show unused strings

Show strings marked with unused option.

Show row info

Show row info column on the far left on the grid editor.

Highlight long translations

If checked MULTILIZER will indicate the long translations comparing to the native value by highlighting the cell.

Threshold

Specifies the long translation threshold in per cent. Example: With threshold value 20 all the cells that has 20 per cent longer values comparing to the native value will be highlighted.


Options - Environment - Log

Use this page to set the log window options.

Font

Specifies the log window display font.


Options - Environment - Validate

Use this page to set the validate window options.

Font

Specifies the validate window display font.


Options - Environment - Statistics

Use this page to set the statistics window options.

Font

Specifies the statistics window display font.


Options - Environment - Graph

Use this page to set the wysiwyg graph options.

Options

Can reduce

If checked graph component heights and widths can be reduced compared to the native values.

Read only

If checked the graph component cannot be edited.

Show bounds

If checked graph shows boundaries around components that size or position properties has been changed.

Show components

If checked graph shows the non-wysiwyg components as well.

Show status

If checked graph shows the status legends for the wysiwyg components.


Options - Environment - Default Languages

Use this page to set the default languages of the project. The default languages will be automatically added to every new project created. Add the languages to you most often use to the Selected languages list.


Options - Environment - Status

Default Status on Modify

If enabled MULTILIZER marks edited strings automatically with selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Default Status on Select

If enabled MULTILIZER marks selected strings automatically with selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Default Status on Load

If enabled MULTILIZER marks loaded strings automatically with selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Options

Auto clear comment

If checked MULTILIZER automatically clears the comment of a strings when re-scanning a project.

Auto clear new

If checked MULTILIZER automatically clears the new status of a strings when re-scanning a project.


Options - Environment- Translation

This page controls how items are translated when a dictionary or language is translated based on glossary strings.

Clear new string flags

Controls when the application clear the New String flag of the row.

By command (Project | Clear New String Flags)

MULTILIZER clears the flags when the user chooses Project | Clear New String Flags menu.

Automatically when rescanning the project

MULTILIZER clears the flags during the scan process. If smart scanning is used only those rows are cleared the belong to a target that is actually scanned.

Translate duplicate strings automatically

Check this if you want MULTILIZER to automatically translate the row that has the same native value but different context.


Options - .NET - Component Mappings

Specifies the component mappings that are used when drawing wysiwyg components. Each mapping has a source component (class) name, destination component name on MULTILIZER wysiwyg and list of exluded properties that are not included in traslations.


Options - .NET - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - .NET - Tools

In order to compile the localized resources MULTILIZER needs to know the location of the tools used by the .NET.

Assembly generation tool

Set the full path name of the assembly generation tools. Example: C:\WINDOWS\Microsoft.NET\Framework\v1.0.3705\AL.exe

Resource generation tool

Set the full path name of the resource generation tool. Example: C:\Program Files\Microsoft Visual Studio .NET\FrameworkSDK\Bin\ResGen.exe

Compact Framework resource generation tool

Set the full path name of the resource generation tool for .NET Compact Framework. Example: C:\Program Files\Microsoft Visual Studio .NET\CompactFrameworkSDK\Bin\CfResGen.exe

By pressing the Default button MULTILIZER ties to detect the location of the files.


Options - Delphi and C++Builder - Component Mappings

Specifies the component mappings that are used when drawing wysiwyg components. Each mapping has a source component (class) name, destination component name on MULTILIZER wysiwyg and list of exluded properties that are not included in traslations.


Options - Delphi and C++Builder - Exluded Components

Specifies the list of components that are exluded from the localization project.


Options - Delphi and C++Builder - Exluded Properties

Specifies the list of component properties that are exluded from the localization project.


Options - Delphi and C++Builder - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - Java - J2ME

Use this sheet to specify the Java2 Micro Edition settings.

Emulator application

Specifies the J2ME emulator application executable file name.

Class path

Specifies the class path variable.

Pass the application class

Species how the application class is passed to the J2ME emulator. Possible options are to pass application class Directly as a command line parameter or Through a JAD file.

Language parameter

Some emulators supports the language parameter in command line. This option specifies whether to send the language parameter or not.

Emulator parameters

Specifies the extra parameters passed to the emulator when launching the application.


Options - Java - J2SE/J2EE

Virtual Machine

Specifies the java virtual machine executable that MULTILIZER uses to launch Java applications.


Options - Visual Basic - Component Mappings

Specifies the component mappings that are used when drawing wysiwyg components. Each mapping has a source component (class) name, destination component name on MULTILIZER wysiwyg and list of exluded properties that are not included in traslations.


Options - Visual Basic - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - Windows - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


This item has no menu topic associated.

Main View


C#Builder and Delphi .NET Project Group Target

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Settings

Scan images

Specifies if MULTILIZER scans the image form the project.

Set RightToLeft property

Specifies if MULTILIZER sets component RightToLeft property automatically.

Create the satellite assemblies

Specifies if MULTILIZER creates the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Specifies if MULTILIZER marks the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.


C#Builder and Delphi .NET Project Target

Project file

Type the project or solution file name (e.g. c:\project\project.bdsproj), or press the "..." button to browse a file.

Settings

Scan images

Specifies if MULTILIZER scans the image form the project.

Set RightToLeft property

Specifies if MULTILIZER sets component RightToLeft property automatically.

Create the satellite assemblies

Specifies if MULTILIZER creates the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Specifies if MULTILIZER marks the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localize the fonts for each script. Select first the script and then select the font localization method. Font localization methods are:

Never | MULTILIZER never localizes the fonts of this script.
When the native <script> font is <name> and size is <size> | MULTILIZER localize the script font if font name is <name> and size is <size>.
When the native <script> font is <name> | MULTILIZER localize the script font if font name is <name>.
Always | MULTILIZER always localize the font of this script.

Fonts to be used

Specifies the font name and size for each script in project languages.

IME

Default Simplified Chinese input method

Specifies the default imput method when editing Simplified Chinese.

Default Traditional Chinese input method

Specifies the default imput method when editing Traditional Chinese.

Default Japanese input method

Specifies the default imput method when editing Japanese.

Default Korean input method

Specifies the default imput method when editing Korean.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Exclude files

By default MULTILIZER scans or builds every single file belonging to the project. If you want to disable the scan or build of a file or files add it/them to the ignore list.


Menu - Column - Fill Pseudo Translation

Column - Fill Pseudo Translation

Fill pseudo translation for this language.


Menu - Column

Column

Shows the menu options for the active translation grid column.


Menu - Column - Properties

Column - Properties

Show active column properties.


Menu - Column - Pseudo Translation

Column - Pseudo Translation

Show pseudo translation, or test language options.


Menu - Column - Select All

Column - Select All

Select all items on active column.


Menu - Column - Sort Asc

Column - Sort Asc

Sort translation grid by active column in ascending order.


Menu - Column - Sort Desc

Column - Sort Desc

Sort translation grid by active column in descending order.


Menu - Column - Sort None

Column - Sort None

Clear sort for active grid column.


Menu - Column - Translate - Duplicates

Column - Translate - Duplicates

Translate dublicated items on active language.


Menu - Column - Translate

Column - Translate

Select the translation method for the active language.


Menu - Column - Translate - Using Translation Memory

Column - Translate - Using Translation Memory

Translate active language items using Translation Memory.


Node Properties

Use this dialog to specify the target tree node properties.

Text

Specifies the node text.

Description

Specifies the node description.


Database Target

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Directory/URL/Alias/Connection string

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

Parameters

Enter the extra connection parameters of the database.

Connect

Press the connection button in order to make a connection to the database.

Encodings

Native language

Specifies the native language that is used in target.

Native encoding

Specifies the native encoding that is used in target with each character set.

Fields

Specifies the localizable tables and fields. Use mouse to drag and drop the tables and fields and/or right click mouse button to set the field types.

See MULTILIZER manual to learn more about database localization techniques.

Settings

On target scan

Specifies update options when scanning the database. Possible options are:

Never update project rows | MULTILIZER does not update project rows when scanning.
Always update project rows | MULTILIZER updates all project rows when scanning.
Update only project empty rows | MULTILIZER updates only project empty rows when scanning.

When building incomplete database rows

Specifies how MULTILIZER should handle incomplete row writing. Possible options are:

Use native | MULTILIZER copies the native value to the field.
Use empty string | MULTILIZER writes the empty string to the field.
Skip row | MULTILIZER skips the row and does not write anything.


Project Report

Use this dialog to specify the document report options.

Page

Current page

If selected MULTILIZER creates the report for the current page only.

All pages

If selected MULTILIZER creates the report for all pages.

Language

Current language(s)

If selected MULTILIZER creates the report for the current language(s) only.

All languages

If selected MULTILIZER creates the report for all languages in the project.

Options

Include legend in the report

If checked MULTILIZER includes a legend in the report.

View the report after generation

If checked MULTILIZER opens the report file automatically after the generation.

Save report to

Specifies the report file name and path.


DRC File

No Delphi resource file (.drc) is not specified. It is recommended to specify the resource file.

You can localize the file but MULTILIZER can not get the complete resource string context without the resource file.


Menu - Edit - Clear

Edit - Clear

Clear translation on active cell.


Menu - Edit - Copy

Edit - Copy

Copy cell value to the Clipboard.


Menu - Edit - Cut

Edit - Cut

Cut cell value to the Clipboard.


Menu - Edit - Find

Edit - Find

Find text from translation grid.


Menu - Edit

Edit

Edit items.


Menu - Edit - Next Untranslated Item

Edit - Next Untranslated Item

Jump to next untranslated item on translation grid.


Menu - Edit - Paste

Edit - Paste

Paste value from the Clipboard to the active cell.


Menu - Edit - Paste Native

Edit - Paste Native

Paste native value to the active language cell.


Menu - Edit - Redo

Edit - Redo

Redo last action.


Menu - Edit - Replace

Edit - Replace

Find and replace values in translation grid.


Menu - Edit - Search Again

Edit - Search Again

Search next item.


Menu - Edit - Undo

Edit - Undo

Undo last action.


Exluded Rows by Context

This dialog specifies the string that have been exluded from the project by the value of the context.


Exluded Rows by Native

This dialog specifies the string that have been exluded from the project by the native value.


Menu - File - Close

File - Close

Close current project.


Menu - File - Exchange

File - Exchange

Create an exchange package to send data to the translators.


Menu - File - Exit

File - Exit

Exit application.


Menu - File - Export

File - Export

Export translations to the external file.


Menu - File - Import

File - Import

Import translations from an external source.


Menu - File - Log - Clear

File - Log - Clear

Clear log window.


Menu - File - Log - Copy to Clipboard

File - Log - Copy to Clipboard

Copy log contents to the Clipboard.


Menu - File - Log

Log window functions.


Menu - File - Log - Print

Print log window contents.


Menu - File - Log - Save

File - Log - Save

Save log window contents to the file.


Menu - File

File

File menu.


Menu - File - New

File - New

Create a new project.


Menu - File - Open

File - Open

Open an existing project from a file.


Menu - File - Print

File - Print

Print project.


Menu - File - Print Preview

File - Print Preview

Open a print preview window.


Menu - File - Project Report

File - Project Report

Create a project report.


Menu - File - Reopen

File - Reopen

Reopen project from the last opened projects list.


Menu - File - Save As

File - Save As

Save project in different name.


Menu - File - Save

File - Save

Save project to the file.


Menu - File - Save to Translation Memory

File - Save to Translation Memory

Save translations to the active Translation Memory.


Menu - Help - About

Help - About

Show information about the program.


Menu - Help - Contents

Help - Contents

Show this help window.


Menu - Help - Localization Guide

Help - Localization Guide

Show Localization Guide help (PDF).


Menu - Help

Help

Help menu.


Menu - Help - Support Pages

Help - Support Pages

Open MULTILIZER support pages on your default Internet browser.


Menu - Help - System Information

Help - System Information

Show information of your system, such as operating system name and version, system locale and installed compilers.


Import Wizard - Delphi

Use this sheet to specify the imported Delphi file options.

DRC file name

Specifies the DRC file name.


Import Wizard - File Type

Some file extensions are common for several target types. Use this sheet to select the exact type of a target.

Select Show all file types to show all supported file types.


Import Wizard - Microsoft Glossary

Use this sheet to specify the Microsoft Glossary file options.

Language

Specifies the (spoken) language of the file.

Separator

Specifies the separator character of the values. Possible values are:

Automatic | MULTILIZER tries to detect the separator character automatically based on the file content.
None | The file has no separators.
Comma (,) | MULTILIZER separates the values by comma.
Semicolon (;) | MULTILIZER separates the values by semicolon.


Import Wizard - Text

Use this page to specify the text options.

Columns

This section shows the columns of the file.

Add Language

Press Add Language to add a new language column.

Add other column

Press Add other column to add a other than a language column. Possible values are:

Add native column | Add a native translation column. Native is the value which is in the localizable target.
Add context column | Add a context column. Context tells to the MULTILIZER where the translation is found from the localizable target.
Add ignored column | Add a ignored column. Ignored column is not imported to the project.
Add comment column | Add a comment column. In MULTILIZER each row can have a comment.

Options

Character set

Specifies the imported text file character set.

Encoding

Specifies the imported text file encoding.

Delimiter

Specifies the column delimiter mark.

Quote

Specifies the quoting character used around the values.

Comment string

Specifies the line comment mark.

Ignore lines

Specifies the number of lines to ignore from the beginning of the file.


Integer Value

Use this dialog to enter the integer value and press OK.


Licenses

Use this dialog box to set the licenses.

Licenses

Shows the current licenses. MULTILIZER can contain zero or more license. Each license grants one ore more platforms. A license can either be a serial number that you have purchased or an evaluation stamp added when starting the evaluation period.

To add a serial number enter the serial number and press the Add button.

To remove a serial number select the number you want to remove and press Del or right mouse click and choose the Remove menu.

Platforms

Shows the license status of each supported platform. The value can be any of the following values:

Translate | You can only translate targets belonging to this platform. This is the default license.
Translate and Q&A | You can translate and build targets belonging to this platform. This license is grated by a MULTILIZER Translator's Edition Pro serial number.
Evaluate Translation and Q&A, X days left | You are evaluating MULTILIZER Translator's Edition Pro. The number shows how many days evaluation you have got left.
Evaluate, X days left | You are evaluating this platform. The number shows how many days evaluation you have got left.
Full | You have full license for this platform. This license is granted by a MULTILIZER serial number.


Font

Use this dialog to specify the font options.

Script

Specifies the font script name.

Value

Specifies the font name.

Size

Specifies the font size.


Login

Use this dialog to specify the login parameters.

User id

User name

Specifies the login user name.

Password

Specifies the user password.

Save password

Specifies if MULTILIZER stores the password to the project settings.

Warning! Password is not encrypted when saved in project settings. Anyone can read it by opening the MULTILIZER project file in simple text editor.


.NET Language Parameter

In order to run the application on the current language the language code must be passed as a command line parameter.

If you have already implemented the language parameter handling and the format differs from the format below enter a new format. If not press Cancel, add the parameter handling into your code, compile the application and try again.


.NET Project File

.NET project file is not specified. It is recommended to specify the project file.

You can localize the file but MULTILIZER can not resolve the visual menu tree or visual inheritance path without the project file and the source code.


Options - MobileVB - Widows CE Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Palm Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.

The scaling factor is used because in most cases the Windows font does not match perfectly the target application font. Choose the Windows font that is closes to the actual font. If the match is exact, leave the factor to 1.0. Otherwise adjust the factor in a way that the Windows font is scaled to match the application font.


Options - MobileVB - Series 60 Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Series 80 Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Tools

MobileVB compiler

Specifies the MobileVB compiler executable file.


Options - MobileVB - UIQ Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - .NET - Excluded Properties

Contains list of property names that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Options - Palm - Emulator

Enter the location of the Palm emulator and sessions. The emulator is used to test Palm applications using Palm OS version up to version 4.

Emulator application

Specifies the Palm emulator application. Type the full path name of the emulator application (Emulator.exe) or press "…" to browse the file.

Check Quit emulator after the application terminates if MULTILIZER quits the emulator automatically when launched application terminates.

Sessions

Emulator uses session files that specify the ROM image and the settings. You can specify a language specific session file(s). To add a session file press the … button to open the Palm Session dialog box that specifies the session file and the language.

This makes it possible to run localized application on different settings and ROM images. Some language require special add-ons in order to work. By configuring such an session and saving it to a session file MULTILIZER can use the same session when running the localized application.

The first session is the default session that will be used whenever there is no language specific session.


Options - Palm - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.

The scaling factor is used because in most cases the Windows font does not match perfectly the target application font. Choose the Windows font that is closes to the actual font. If the match is exact, leave the factor to 1.0. Otherwise adjust the factor in a way that the Windows font is scaled to match the application font.


Options - Palm - Simulator

Enter the location of the Palm simulator and ROM images. The simulator can be used to test all Palm applications include application using Palm OS version 5.

Simulator application

Specifies the Palm simulator application. Type the full path name of the simulator application (PalmSim.exe) or press … to browse the file.

Check Quit simulator after the application terminates if MULTILIZER quits the simulator automatically when launched application terminates.

ROM Images

Simulator uses ROM images. You can specify a language specific ROM image file(s). To add an image file press the … button to open the Palm ROM Image dialog box that specifies the image file and the language.

This makes it possible to run localized application on different ROM images. Some language require special ROM image in order to work. By configuring such an ROM image MULTILIZER can use the image when running the localized application.

The first ROM image is the default image that will be used whenever there is no language specific image.


Options - Visual Basic - Excluded Properties

Contains list of property names that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Menu - Project - Build Localized Item

Project - Build Localized Item

Build selected target to the edited language.


Menu - Project - Build Localized Items

Project - Build Localized Items

Build all targets to all languages.


Menu - Project - Clear New Status

Project - Clear New Status

Clear new status of selected item.


Menu - Project - Clear Validations

Project - Clear Validations

Clear validation results.


Menu - Project - Excluded Rows - By Context

Project - Excluded Rows - By Context

Exclude items from the project by context.


Menu - Project - Excluded Rows - By Native

Project - Excluded Rows - By Native

Exclude items from the project by native value.


Menu - Project - Excluded Rows

Project - Excluded Rows

Edit excluded rows options.


Menu - Project - Languages

Project - Languages

Edit, add and remove project languages.


Menu - Project

Project

Project menu.


Menu - Project - Options

Project - Options

Edit project options.


Menu - Project - Remove Unused Items

Project - Remove Unused Items

Remove items from the project that has no reference to the targets.


Menu - Project - Run Native

Project - Run Native

Run (or execute) native version of the selected target.


Menu - Project - Run Translated

Project - Run Translated

Run (or execute) translated version of the selected target.


Menu - Project - Scan

Project - Scan

Scan the targets to find new and changed items.


Menu - Project - Targets

Project - Targets

Add, edit and remove project targets.


Menu - Project - Translate - Duplicates

Project - Translate - Duplicates

Translate duplicated items of the project.


Menu - Project - Translate

Project - Translate

Select translate method.


Menu - Project - Translate - Using Translation Memory

Project - Translate - Using Translation Memory

Translate project using active Translation Memory.


Menu - Project - Validate As

Project - Validate As

Open validation options dialog.


Menu - Project - Validate

Project - Validate

Run validations for the project.


Menu - Project - Validation Report

Project - Validation Report

Create a validation report.


Project Wizard - File Type

Some file extensions are common for several target types, like for windows executable files (.exe). Use this sheet to select the exact type of a target.

Select Show all file types to show all supported file types.


Project Wizard - Finish

Press the Finish button to complete the wizard.


Project Wizard - INI Target

Use this sheet to select the keys you want to localize.

Click Select All to check all the keys. Click Unselect all to clear selection. Click View file to open the file in default INI editor.


Project Wizard - .NET Binary File

Project file name

Specifies the .NET project file name.


Project Wizard - VCL Binary Target

Specifies the VCL binary target options.

Language of the application

Specifies the application native language.

Project file name

Specifies the VCL project file name (e.g. c:\project\project.dpr).

DRC file name

Specifies the VCL project DRC file name (e.g. c:\project\project.drc).

Output files

Specifies what types of output files MULTILIZER will create.

Localized files | MULTILIZER creates own file for each language in the project.
Resource files | MULTILIZER creates localized resource files.
Multilingual file | MULTILIZER creates a one multilingual executive containing all the languages in the project.

Options

Scan images from the form data

If checked MULTILIZER scans the images from the project forms.

Check scaled property

If checked MULTILIZER ensures scaled property of forms is set to false.

Set BiDiMode property

If checked MULTILIZER sets the BiDiMode property of components on Right-to-Left languages.


Project Wizard - VCL Options

Use this sheet to specify the VCL binary file options.

Application

Original language of the application

Specifies the application native language (spoken) used to write the software.

Project file name

Specifies the VCL project file name (e.g. c:\project\project.dpr).

DRC file name

Specifies the VCL project DRC file name (e.g. c:\project\project.drc).

Output files

Localized files

If checked MULTILIZER creates own loaclized file for each language in the project.

Resource files

If checked MULTILIZER creates localized resource files for each language in the project.

Multilingual file

If checked MULTILIZER creates a one multilingual file containing all the languages in the project.

Options

Scan images from the form data

If checked MULTILIZER scans the images from the project forms.

Check scaled property

If checked MULTILIZER ensures scaled property of forms is set to false.

Set BiDiMode property

If checked MULTILIZER sets the BiDiMode property of components on Right-to-Left languages.


Project Wizard - Windows Resources

The target file may contain several resource types. Select the resource types you want to localize with MULTILIZER .


Project Wizard - XML Target

Use this sheet to specify the XML target properties.

Tags

Specifies the localized elements of XML file.

Click Select All to check all the elements. Click Unselect all to clear selection. Click View file to open the file in default XML viewer.

Output files

Localized files

If selected MULTILIZER creates own file for each language in the project.

Multilingual file

If selected MULTILIZER creates one multilingual file containing all the languages in the project.

Options

Keep original format

If selected MULTILIZER retains the XML file original format in localized files.

Remove white spaces

If selected MULTILIZER removes the extra white spaces from the localized files.

Add xml:lang attribute

Specifies how MULTILIZER generates the xml:lang attribute. Possible options are:

None | No attribute is generated.
Root element | Attribute is generated to the root element.
Localized elements | Attribute is generated to every localized element.

Use XML segmentation

Specifies if XML segmentation is used. XML segmentation is used to split long native values to help the translation work.


Add Component

Use this dialog to add a new component mapping to MULTILIZER wysiwyg.

Source

Specifies the source component (class) name.

Destination

Specifies the MULTILIZER component name.

Excluded properties

Specifies the list of component excluded property names.


VCL mappings

Use this dialog to modify the mappings form VCL component to MULTILIZER wysiwyg component.


Menu - Row - Clear

Row - Clear

Clear selected row.


Menu - Row - Clear New Status

Row - Clear New Status

Clear new status form the selected row.


Menu - Row - Comment

Edit row comment.


Menu - Row - Do Not Translate

Row - Do Not Translate

Mark current row with Do Not Translate flag.


Menu - Row - Exclude Row

Row - Exclude Row

Exclude current row from the project.


Menu - Row - Exclude Native

Row - Exclude Native

Exclude current row from the project by the native value.


Menu - Row - Max Characters

Row - Max Characters

Edit row max characters value.


Menu - Row - Max Pixels

Row - Max Pixels

Edit current row max pixels value.


Menu - Row

Row

Menu options for the current row.


Menu - Row - Message String

Row - Message String

Set message string flag options.


Menu - Row - Status

Row - Status

Set row status flag.


Menu - Row - Toggle Status

Row - Toggle Status

Swich current row status to the next value.


Select File Type

The Select File Type dialog lets you specify the platform and target type that matches your project.

Platform type

Choose the platform type. The possible values are:

.NET | Microsoft .NET applications
Windows | Windows applications
Windows CE | Windows CE applications
Symbian | Symbian applications
Palm | Palm applications
Java | Java applications or applets
Data | Data storage such as databases and XML files

Target type

Each platform type contains several target types. Choose the target type that matches your project.


String Value

Use this dialog to enter the string value and press OK.


Targets

Use the Targets dialog box to specify the items that will be localized.

Add

Add a new file target to the project. Displays the Target Wizard dialog box that lets you select a new target.

New

Add a new target to the project. Displays the Add Target dialog box that lets you select the type of the target.

Edit

Edits the selected target.

Remove

Removes the selected target.


Pseudo Translation

Use this dialog to specify the test options for the translated language.

Select the test type

Specifies the test type.

Cover

Every native character is replaced with a replace character. This tests for missed or hard coded strings.

Replace every character with

Type the character that is used as the replacing character.

Minimum

Every native string is replaced with a single character. This tests that the user interface works for minimum length strings.

Reduction

The native string can be reduced in two ways:

Reduce strings to the first character in the string | Writes the first character of the native string to the language column.
Reduce strings to the custom string | Writes the custom string to the language column.

Pseudo Language

Every native string is extended and/or altered to simulate general European string extension and character diacritics. This tests the ability of the user interface to handle European languages.

This dialog is used when the language is a European language.

Expand

The string is expanded. For example "Sample" becomes "Sample________X". This can be used to test that the user interface handles longer translations correctly. In many cases English is shorted that other languages. The expansion depends on the length of the native string.

Enclose

The string is enclosed to braces. For example "Sample" becomes "{Sample}". This can be used to test that both the beginning and the end of the string are visible.

Alternate case

Character case is alternated. For example "Sample" becomes "SaMpLe".

Upper case

Character case is upped. For example "Sample" becomes "SAMPLE".

Diacritics

Diacritics are added to the characters. For example "Sample" becomes "Sämplé". This can be used to test that the user interface handles diacritic and accented characters correctly.

Expand

Specifies the expand character.

Last

Specifies the last character

These are used only if the Expand check box in the Options group is checked.

Expand percentage

Specifies the expansion percentage.

Native length (in characters) | Test length (in characters)
1...5 | The native string is expanded by 200 percents. For example the word "red" that is three characters long is expanded to nine characters, "red_____X"
6...10 | The native string is expanded by 100 percents.
11...20 | The native string is expanded by 70 percents.
21...30 | The native string is expanded by 50 percents.
31...50 | The native string is expanded by 30 percents.
over 50 | The native string is expanded by 20 percents.

These are used only if the Expand check box in the Options group is checked.

The above expanding percentages may seem to be quite high. In many cases the translated words or phrases in other languages are only slightly longer than in English. But there always exists translations that are much longer than the English one. For example the word "red" is only three characters in English but eight characters ("punainen") in Finnish.


Menu - Tools - Languages And Locales

Tools - Languages And Locales

Modify the MULTILIZER global languages and locales.


Menu - Tools - Licenses

Tools - Licenses

Show your installed MULTILIZER licenses.


Menu - Tools

Tools

Tools menu.


Menu - Tools - Options

Tools - Options

Modify MULTILIZER program options.


Menu - Tools - Translation Memories

Tools - Translation Memories

Edit Translation Memories.


Value

Use this dialog to enter the requested value and press OK.


VCL Project File

No Delphi project file (.dpr) is not specified. It is recommended to specify the project file.

You can localize the file but MULTILIZER can not resolve the visual inheritance path without the project file.


Menu - View - Columns

View - Columns

Select columns to view in translation grid.


Menu - View - Edit Language

View - Edit Language

Select active language to be edited.


Menu - View - Filter

View - Filter

Set filtering options for the translation grid.


Menu - View - Infopage

View - Infopage

Show or hide infopage on the bottom of the main window.


Menu - View - Languages

View - Languages

Select languages to be shown on translation grid.


Menu - View

View

Set view options.


Menu - View - Statusbar

View - Statusbar

Show or hide application statusbar.


XML Element

Use this dialog to specify the XML element properties.

Localize element

If checked MULTILIZER localizes this element.

Data type

Specifies the data type of the element contents.